get /rest/api/metafield_definition_validations
Retrieves the collection of MetafieldDefinitionValidation resources.
Returns a paginated collection of metafield definition validations in the current organization.
| Name | Type | Required | Description |
|---|
X-Flowkiwi-Organization-Id | string | required | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance. |
Query parameters
| Name | Type | Required | Description |
|---|
page | integer | - | The collection page number |
itemsPerPage | integer | - | The number of items per page |
Response
200 - MetafieldDefinitionValidation collection
| Property | Type | Required | Description |
|---|
hydra:totalItems | integer | - | |
hydra:search | object | - | |
Show hydra:search fields| Property | Type | Required | Description |
|---|
@type | string | - | | hydra:template | string | - | | hydra:variableRepresentation | string | - | | hydra:mapping | object[] | - | | Show hydra:mapping fields| Property | Type | Required | Description |
|---|
@type | string | - | | variable | string | - | | property | string | null | - | | required | boolean | - | |
|
|
hydra:view | object | - | |
Show hydra:view fields| Property | Type | Required | Description |
|---|
@id | string | - | | @type | string | - | | hydra:first | string | - | | hydra:last | string | - | | hydra:previous | string | - | | hydra:next | string | - | |
|
hydra:member | MetafieldDefinitionValidation[] | required | |
Show hydra:member fields| Property | Type | Required | Description |
|---|
@context | object | - | | @id | string | required | | @type | string | required | | id | string | - | The resource's unique identifier (UUID). | metafieldDefinition | string | required | The metafield definition this validation belongs to | name | string | required | The type of validation rule | value | string | required | The validation parameter value. Format depends on the validation type. |
|
Errors
403 - Access denied. The caller is missing one or more identity permissions required for this operation.
Content-Type: application/problem+json
| Property | Type | Required | Description |
|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
type | string | - | |
title | string | - | |
status | integer | - | |
detail | string | - | |
missingPermissions | string[] | - | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |